## picocom 1.3

=== Makefile ===

VERSION=1.3

# CC = gcc
CPPFLAGS=-DVERSION_STR=\"$(VERSION)\"
CFLAGS = -Wall -g

# LD = gcc
LDFLAGS = -g
LDLIBS =

picocom : picocom.o term.o
#	$(LD) $(LDFLAGS) -o $@ $+ $(LDLIBS)

picocom.o : picocom.c term.h
term.o : term.c term.h

doc : picocom.8 picocom.8.html

picocom.8 : picocom.8.xml
	xmltoman $< > $@

picocom.8.html : picocom.8.xml
	xmlmantohtml $< > $@

clean:
	rm -f picocom.o term.o
	rm -f *~
	rm -f \#*\#

distclean: clean
	rm -f picocom

realclean: distclean
	rm -f picocom.8
	rm -f picocom.8.html
