=== debian/changelog ===
picocom (1.4-1) unstable; urgency=low

  * new upstream version:
    - Changed the behavior of the C-a command. Now pressing C-a
	 twice sends C-a to the serial port
    - Added the C-\ command that generates a break sequence
    - Added (optional) UUCP-lockfiles support

 -- Oliver Kurth <oku@debian.org>  Tue, 14 Sep 2004 11:25:07 -0700

picocom (1.3-1) unstable; urgency=low

  * Initial Release (closes: #236044)
  * upstream included my man page

 -- Oliver Kurth <oku@debian.org>  Sun, 07 Mar 2004 19:43:34 -0800
