=== debian/control ===
Source: picocom
Section: comm
Priority: optional
Maintainer: Oliver Kurth <oku@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: picocom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimal dumb-terminal emulation program
 picocom was designed to serve as a simple, manual, modem
 configuration, testing, and debugging tool. It has also served (quite
 well) as a low-tech "terminal-window" to allow operator intervention
 in PPP connection scripts (something like the ms-windows "open
 terminal window before / after dialing" feature). It could also prove
 useful in many other similar tasks. It is ideal for embedded systems
 since its memory footprint is minimal.
