## picocom 1.4-2

=== debian/changelog ===
picocom (1.4-2) unstable; urgency=low

  * QA upload.
  * Set Maintainer to QA Group. The previous Maintainer email is bouncing. 

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 10 Jan 2008 09:04:17 +0100
