=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: picocom
 Section: comm
 Priority: optional
-Maintainer: Oliver Kurth <oku@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.1
