## picocom 1.7

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
 
-VERSION=1.4
+VERSION=1.7
+
+UUCP_LOCK_DIR=/var/lock
 
 # CC = gcc
-CPPFLAGS=-DVERSION_STR=\"$(VERSION)\" -DUUCP_LOCK_DIR=\"/var/lock\"
+CPPFLAGS=-DVERSION_STR=\"$(VERSION)\" \
+         -DUUCP_LOCK_DIR=\"$(UUCP_LOCK_DIR)\" \
+         -DHIGH_BAUD
 CFLAGS = -Wall -g
 
 # LD = gcc
