=== debian/changelog ===
picocom (1.7-2build0.16.04.1) xenial-security; urgency=medium

  * fake sync from Debian

 -- Emily Ratliff <emily.ratliff@canonical.com>  Mon, 05 Jun 2017 21:31:19 -0500

picocom (1.7-2) unstable; urgency=high

  * Fix CVE-2015-9059 (Closes: #863671).
  * Add myself to Uploaders.
  * Add Vcs fields.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 02 Jun 2017 22:21:14 +0000

picocom (1.7-1) unstable; urgency=low

  * New upstream release.  Closes: #659590.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump debhelper compat to 8, switch to minimal dh-based debian/rules.
  * Update Homepage: field.
  * Update Standards-Version to 3.9.3; no changes required.

 -- Matt Palmer <mpalmer@debian.org>  Sat, 21 Apr 2012 18:48:46 +1000

picocom (1.4-3) unstable; urgency=low

  * Adopted.  Closes: #452192.
  * Dump the debian-native packaging.
  * Fix odd parity problems.  Closes: #492695.  Thanks to Freddy Spierenburg
    for the patch.

 -- Matt Palmer <mpalmer@debian.org>  Sun, 03 Aug 2008 22:52:39 +1000
