=== debian/changelog ===
picocom (2.2-2) unstable; urgency=medium

  * Upload to unstable

 -- W. Martin Borgert <debacle@debian.org>  Sat, 17 Jun 2017 00:15:28 +0000

picocom (2.2-1) experimental; urgency=medium

  * New upstream version (Closes: #840671, #852754)
  * New version supports setting stop bits (Closes: #837046)
  * Use new debhelper 10
  * Fixed homepage and download URL (Closes: #752098)
  * Use machine-readable copyright format
  * Add myself to uploaders
  * Use collab-maint Git for packaging
  * Update Standards-Version to 3.9.8; no changes required
  * Build manual page from source (Closes: #430975)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 24 May 2017 00:35:45 +0000
