=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Matt Palmer <mpalmer@debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.3
-Homepage: http://code.google.com/p/picocom/
+Build-Depends: debhelper (>= 10),
+	pandoc
+Standards-Version: 3.9.8
+Homepage: https://github.com/npat-efault/picocom
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/picocom.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/picocom.git
