=== debian/changelog ===
picocom (3.1-4) unstable; urgency=medium

  * Fix use-custom-baud patch, thanks Adrian Bunk <bunk@debian.org>
    (Closes: #1032038)

 -- Martin <debacle@debian.org>  Sun, 26 Feb 2023 22:35:07 +0000

picocom (3.1-3) unstable; urgency=medium

  * Add debian/watch

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Martin <debacle@debian.org>  Sun, 26 Feb 2023 11:40:32 +0000

picocom (3.1-2) unstable; urgency=medium

  * Try to fix build on architectures without termios c_ispeed/c_ospeed

 -- W. Martin Borgert <debacle@debian.org>  Wed, 21 Mar 2018 21:54:53 +0000

picocom (3.1-1) unstable; urgency=medium

  * New upstream version (Closes: #881926)
  * Support custom baudrate on all architectures
  * Use salsa.debian.org as packaging repo
  * Use new debhelper 11
  * Update Standards-Version to 4.1.3; no changes required

 -- W. Martin Borgert <debacle@debian.org>  Tue, 20 Mar 2018 23:28:32 +0000
