=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: comm
 Priority: optional
 Maintainer: Matt Palmer <mpalmer@debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 10),
-	pandoc
-Standards-Version: 3.9.8
+Uploaders: Martin <debacle@debian.org>
+Build-Depends: debhelper-compat (= 13), pandoc
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Homepage: https://github.com/npat-efault/picocom
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/picocom.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/picocom.git
+Vcs-Browser: https://salsa.debian.org/debian/picocom
+Vcs-Git: https://salsa.debian.org/debian/picocom.git
 
 Package: picocom
 Architecture: any
