=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/picocom_$1.tar.gz/" \
  https://github.com/npat-efault/picocom/tags .*/v?(\d\S*)\.tar\.gz
